Email Accounts

Bulk Update

POST/v1/email-accounts/bulk-update
POST
/v1/email-accounts/bulk-update

Bulk Updates Email accounts

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Request Body

application/jsonRequired

emailAccountIdsarray<number>

Array of email account IDs associated with the user

Example: ["Z6zxEXJwAk","D6zxEXJwAk"]

senderFirstNamestring

First name of the sender (required)

Example: "John"

senderLastNamestring

Last name of the sender

Example: "Doe"

dailyQuotanumber

Daily sending quota for the email account

Example: 500

bccstring

BCC email addresses (comma-separated if multiple)

Example: "[email protected]"

signatureHtmlstring

HTML signature for the email

Example: "<p>Best regards,<br />John Doe</p>"

sendingIntervalMinnumber

Minimum interval (in seconds) between email sends

Example: 60

sendingIntervalMaxnumber

Maximum interval (in seconds) between email sends

Example: 120

rampUpInitialSendingLimitnumber

Initial sending limit for ramp-up

Example: 100

rampUpPercentnumber

Ramp-up percentage increase per interval

Example: 10

clientIdnumber

client id associated with the user.

Example: "JA5YdAr9wy"

Responses

200
Successfully updated email accounts

Request

curl -X POST \
  "https://open-api.saleshandy.com/v1/email-accounts/bulk-update" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "emailAccountIds": [
    "Z6zxEXJwAk",
    "D6zxEXJwAk"
  ],
  "senderFirstName": "John",
  "senderLastName": "Doe",
  "dailyQuota": 500,
  "bcc": "[email protected]",
  "signatureHtml": "<p>Best regards,<br />John Doe</p>",
  "sendingIntervalMin": 60,
  "sendingIntervalMax": 120,
  "rampUpInitialSendingLimit": 100,
  "rampUpPercent": 10,
  "clientId": "JA5YdAr9wy"
}'

Response

No response body